Brivio API reference
Projects

Book a person on the project for one ISO week; 0 hours clears; reports over_allocated (L-R4-PROJ-07; scope: projects:write)

PUT
/projects/{id}/allocations

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key as Bearer token

Path Parameters

id*string

Request Body

application/json
  1. body

One person on one project for one ISO week (L-R4-PROJ-07).

user_id*string
Formatuuid
week_start*string

Any date in the week; normalised to its Monday

Formatdate
allocated_hours*number

0 clears the cell

Range0 <= value <= 168
role?string
note?string

Response Body

OK

curl -X PUT "https://example.com/projects/string/allocations" \  -H "Content-Type: application/json" \  -d '{    "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5",    "week_start": "2019-08-24",    "allocated_hours": 0  }'
Empty